using Microsoft.AspNet.Authorization;
using System;
using System.Collections.Generic;
using System.Linq;

namespace Benday.AspCore.MsftAuthSample.Security
{
    public class AdminRoleHandler : AuthorizationHandler<AdminRoleRequirement>
    {

        protected override void Handle(AuthorizationContext context, AdminRoleRequirement requirement)
        {
            if (context.User.HasClaim("Fluffy", "true") == true)
            {
                context.Succeed(requirement);
            }
            else
            {
                return;
            }
        }
    }
}
