using Microsoft.AspNet.Authorization;
using System;
using System.Collections.Generic;
using System.Linq;

namespace Benday.AspCore.MsftAuthSample.Security
{
    public class AwesomenessRequirement : IAuthorizationRequirement
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AwesomenessRequirement"/> class.
        /// </summary>
        /// <param name="minimumAwesomness"></param>
        public AwesomenessRequirement(int minimumAwesomness)
        {
            MinimumAwesomness = minimumAwesomness;
        }

        public int MinimumAwesomness { get; set; }
    }
}
