﻿using Benday.AspCore.MsftAuthSample.ViewModels.Security;
using Microsoft.AspNet.Authorization;
using Microsoft.AspNet.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Benday.AspCore.MsftAuthSample.Controllers
{

    [Authorize(Policy = "AdminPolicy")]
    [Authorize(Policy = "AwesomenessPolicy")]
    public class SecurityController : Controller
    {

        public IActionResult Index()
        {
            SecurityViewModel model = new SecurityViewModel();

            model.Message = "wheeeee!!!";

            var claim = User.FindFirst("Awesomeness");

            if (claim == null)
            {
                model.IsAwesome = false;
                model.AwesomenessLevel = "-1";
            }
            else
            {
                int level = Convert.ToInt32(claim.Value);

                if (level >= 10)
                {
                    model.IsAwesome = true;
                }
                else
                {
                    model.IsAwesome = false;
                }

                model.AwesomenessLevel = claim.Value;
            }

            return View(model);
        }
    }
}
